/***           */
/**  SEG_MUX  **/
/*           ***/
module SEG_CTL( CLK, RST, DATA_A, DATA_B, DATA_C, DATA_D, SG, SA );
	input        CLK, RST;
	input  [3:0] DATA_A, DATA_B, DATA_C, DATA_D;
	output [6:0] SG;
	output [3:0] SA;

	wire   [6:0] DEC_A, DEC_B, DEC_C, DEC_D;
	wire   [1:0] SEL;
	wire         CE;

	SEG_DEC U0( DATA_A, DEC_A );
	SEG_DEC U1( DATA_B, DEC_B );

	SEG_DEC U2( DATA_C, DEC_C );
	SEG_DEC U3( DATA_D, DEC_D );
	
	SEG_MUX U4( DEC_A, DEC_B, DEC_C, DEC_D, SG, SEL, SA);
	SEG_CNT U5( CLK, RST, SEL );
endmodule

